summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2022-01-01 17:56:28 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2022-01-02 01:45:07 +0000
commit763db77eb8d7a2e56ee1306f03fddc20a24f83b7 (patch)
treedfbc047571e8025e2a39114f5e87731b1b23d8f6
parentc3234fb740efb8710d5a1d8097cc0f45517d1853 (diff)
tests/update-db-compat: initial script to address dh compat
This fixes some tests already, if I run it. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
-rwxr-xr-xtests/update-dh-compat50
1 files changed, 50 insertions, 0 deletions
diff --git a/tests/update-dh-compat b/tests/update-dh-compat
new file mode 100755
index 0000000..8abe49c
--- /dev/null
+++ b/tests/update-dh-compat
@@ -0,0 +1,50 @@
+#!/bin/bash
+# dgit
+# Integration between git and Debian-style archives
+#
+# Copyright (C)2013-2021 Ian Jackson
+# Copyright (C)2017-2019 Sean Whitton
+# Copyright (C)2019 Matthew Vernon / Genome Research Limited
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+# This ad-hoc script was wrtten to deal with #1002927.
+
+cd_fresh_d () {
+ rm -rf d
+ mkdir d
+ cd d
+}
+
+adjust () {
+ perl -i -pe 's/^5$/12/' debian/compat
+}
+
+for f in tests/pkg-srcs/*.dsc; do
+ cd_fresh_d
+
+ dpkg-source -x ../$f p
+ cd p
+ adjust
+ dpkg-source -b .
+ cd ..
+ dcmd rm ../$f
+ dcmd mv *.dsc ../tests/pkg-srcs/
+
+ cd ..
+done
+
+rm -rf d